Process::Status -

# class Process::Status

- Process::Status
- Reference
- Object

## Overview

The status of a terminated process.

## Defined in:

## Constructors

- .new(exit_status : Int32)

## Instance Method Summary

- #exit_code

  If `#normal_exit?` is `true`, returns the exit code of the process.

- #exit_signal

  If `#signal_exit?` is `true`, returns the Signal the process received and didn't handle.

- #exit_status : Int32

  Platform-specific exit status code, which usually contains either the exit code or a termination signal.

- #normal_exit?

  Returns `true` if the process terminated normally.

- #signal_exit?

  Returns `true` if the process was terminated by a signal.

- #success?

  Returns `true` if the process exited normally with an exit code of `0`.

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(exit_status : Int32) #

## Instance Method Detail

def exit_code #

If `#normal_exit?` is `true`, returns the exit code of the process.

def exit_signal #

If `#signal_exit?` is `true`, returns the Signal the process received and didn't handle. Will raise if `#signal_exit?` is `false`.

def exit_status : Int32 #

Platform-specific exit status code, which usually contains either the exit code or a termination signal. The other `Process::Status` methods extract the values from `#exit_status`.

def normal_exit? #

Returns `true` if the process terminated normally.

def signal_exit? #

Returns `true` if the process was terminated by a signal.

def success? #

Returns `true` if the process exited normally with an exit code of `0`.